NETWORK_PUBLIC-IP_LIST(1)

NAME
network_public-ip_list -

DESCRIPTION

Lists the PublicIp <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/PublicIp/> objects in the specified compartment. You can filter the list by using query parameters.

To list your reserved public IPs: * Set scope = REGION (required) * Leave the availabilityDomain parameter empty * Set lifetime = RESERVED

To list the ephemeral public IPs assigned to a regional entity such as a NAT gateway: * Set scope = REGION (required) * Leave the availabilityDomain parameter empty * Set lifetime = EPHEMERAL

To list the ephemeral public IPs assigned to private IPs: * Set scope = AVAILABILITY_DOMAIN (required) * Set the availabilityDomain parameter to the desired availability domain (required) * Set lifetime = EPHEMERAL

Note: An ephemeral public IP assigned to a private IP is always in the same availability domain and compartment as the private IP.

USAGE

oci network public-ip list [OPTIONS]

REQUIRED PARAMETERS

--compartment-id, -c [text]

    The OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm> of the compartment.

--scope [text]

    Whether the public IP is regional or specific to a particular availability domain.

•   REGION: The public IP exists within a region and is assigned to a regional entity (such as a NatGateway <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/NatGateway/>), or can be assigned to a private IP in any availability domain in the region. Reserved public IPs have scope = REGION, as do ephemeral public IPs assigned to a regional entity.

•   AVAILABILITY_DOMAIN: The public IP exists within the availability domain of the entity it's assigned to, which is specified by the availabilityDomain property of the public IP object. Ephemeral public IPs that are assigned to private IPs have scope = AVAILABILITY_DOMAIN.

    Accepted values are:

    AVAILABILITY_DOMAIN, REGION

OPTIONAL PARAMETERS

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--availability-domain [text]

    The name of the availability domain.

    Example:

    Uocm:PHX-AD-1

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--lifetime [text]

    A filter to return only public IPs that match given lifetime.

    Accepted values are:

    EPHEMERAL, RESERVED

--limit [integer]

    For list pagination. The maximum number of results per page, or items to return in a paginated "List" call. For important details about how pagination works, see List Pagination <https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine>.

    Example:

    50

--page [text]

    For list pagination. The value of the opc-next-page response header from the previous "List" call. For important details about how pagination works, see List Pagination <https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine>.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle